Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QPaintEvent Class Reference

The QPaintEvent class contains event parameters for paint events. More...

     #include <QPaintEvent>

Inherits: QEvent.

- List of all members, including inherited members
- Qt 3 support members

## Public Functions

| QPaintEvent ( const QRegion & paintRegion )
| QPaintEvent ( const QRect & paintRect )
const QRect & | rect () const
const QRegion & | region () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QPaintEvent class contains event parameters for paint events.

Paint events are sent to widgets that need to update themselves, for instance when part of a widget is exposed because a covering widget was moved.

The event contains a region() that needs to be updated, and a rect() that is the bounding rectangle of that region. Both are provided because many widgets can't make much use of region(), and rect() can be much faster than region().boundingRect().

### Automatic Clipping

Painting is clipped to region() during the processing of a paint event. This clipping is performed by Qt's paint system and is independent of any clipping that may be applied to a QPainter used to draw on the paint device.

As a result, the value returned by QPainter::clipRegion() on a newly-constructed QPainter will not reflect the clip region that is used by the paint system.

See also QPainter, QWidget::update(), QWidget::repaint(), and QWidget::paintEvent().

## Member Function Documentation

### QPaintEvent::QPaintEvent ( const QRegion & paintRegion )

Constructs a paint event object with the region that needs to be updated. The region is specified by paintRegion.

### QPaintEvent::QPaintEvent ( const QRect & paintRect )

Constructs a paint event object with the rectangle that needs to be updated. The region is specified by paintRect.

### const QRect & QPaintEvent::rect () const

Returns the rectangle that needs to be updated.

See also region() and QPainter::setClipRect().

### const QRegion & QPaintEvent::region () const

Returns the region that needs to be updated.

See also rect() and QPainter::setClipRegion().